import { OnInit, SimpleChanges, OnChanges, ChangeDetectorRef } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { QuizService } from '../../../../shared/service/quiz.service';
export declare class FigureLabelComponent implements OnInit, OnChanges {
    _DomSanitizationService: DomSanitizer;
    private quizService;
    private cd;
    labelCircleRadius: number;
    type: string;
    offsetX: any;
    offsetY: any;
    imageSrc: string;
    imageWidth: any;
    imageHeight: any;
    altTitle: any;
    constructor(_DomSanitizationService: DomSanitizer, quizService: QuizService, cd: ChangeDetectorRef);
    assetData: any;
    imagePath: any;
    userAnswer: any;
    correctOptions: any;
    selectedTheme: any;
    fontSize: any;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngDoCheck(): void;
    imageLoaded(): void;
    extractCoords(): void;
    splitStringForType(type: any, value: any): string;
    loadImagePath(assetType: any, slide: any): any;
}
